# Volt
**Main**<br>
![Build](https://gitlab.cs.ut.ee/gs0057e/volt/badges/main/pipeline.svg?job=compile&key_text=Build)
![Test](https://gitlab.cs.ut.ee/gs0057e/volt/badges/main/pipeline.svg?job=test&key_text=Test)<br>
**Development**<br>
![Build](https://gitlab.cs.ut.ee/gs0057e/volt/badges/development/pipeline.svg?job=compile&key_text=Build)
![Test](https://gitlab.cs.ut.ee/gs0057e/volt/badges/development/pipeline.svg?job=test&key_text=Test)<br>

## Description
A Wolt clone app made for Agile Software Development course in University Of Tartu to unite restaurants, customers and couriers.

Team members:
* Georg Šumailov (gs0057e)
* Maxim Makarskij
* Hanna Maria Mägi
* Romain Barrere

## Live Demo
[https://volt.gigalixirapp.com](https://volt.gigalixirapp.com/)

Pre-made user credentials:
* Customer
  * username: customer@gmail.com
  * password: customer-gmail-com
* Restaurant
  * username: glia@ristorante.it
  * password: glia-ristorante
* Courier: 
  * username: courier@gmail.com 
  * password: courier-gmail-com

Application uses very limited gigalixir free-tier, therefore only a few simultaneous connections and other restrictions.


## Config
**For GitBash only**
1) Create the .env variable file:
```bash
cp env.template .env
```
2) In .env, uncomment the exports and fill it with your variables (API KEY FILLED IN).
3) Activate the environment before each start of the server:
```bash
source .env
```
**For temporary env variable in powershell**
```$env:BING_MAP_KEY = 'Ar7cmpEAx_LoIKFwOuz15AOa6RobbU1CMbgdmPUUJGklvkbKQy1Dz8MwRohxv7kz'```

## BDD

* In order to run BDD tests switch your environment to test, so `.env` file would look like this (be sure to type `source .env` too!):

```
export BING_MAP_KEY="Ar7cmpEAx_LoIKFwOuz15AOa6RobbU1CMbgdmPUUJGklvkbKQy1Dz8MwRohxv7kz"
export MIX_ENV="test"
```

## Start

To start your Phoenix server:

  * Install dependencies with `mix deps.get`
  * Create and migrate your database with `mix ecto.setup`
  * Start Phoenix endpoint with `mix phx.server` or inside IEx with `iex -S mix phx.server`

Now you can visit [`localhost:4000`](http://localhost:4000) from your browser.
