import Config

# Only in tests, remove the complexity from the password hashing algorithm
config :pbkdf2_elixir, :rounds, 1

# Configure your database
#
# The MIX_TEST_PARTITION environment variable can be used
# to provide built-in test partitioning in CI environment.
# Run `mix help test` for more information.
config :volt, Volt.Repo,
  username: System.get_env("POSTGRES_USER_TEST") || "postgres",
  password: System.get_env("POSTGRES_PASSWORD_TEST") || "postgres",
  hostname: System.get_env("POSTGRES_HOST_TEST") || "localhost",
  database: "volt_test#{System.get_env("MIX_TEST_PARTITION")}",
  pool: Ecto.Adapters.SQL.Sandbox,
  pool_size: 10

# We don't run a server during test. If one is required,
# you can enable the server option below.
config :volt, VoltWeb.Endpoint,
  http: [ip: {127, 0, 0, 1}, port: 4001],
  secret_key_base: "/+9YsXubDWotnAyKhldZ2PfYWAPvMBLDZvXHRPTmUEie86nx3wm+nd9XFj1LnCRj",
  server: true

# In test we don't send emails.
config :volt, Volt.Mailer, adapter: Swoosh.Adapters.Test

# Print only warnings and errors during test
config :logger, level: :warn

# Initialize plugs at runtime for faster test compilation
config :phoenix, :plug_init_mode, :runtime

config :hound, driver: "chrome_driver"
config :volt, sql_sandbox: true
