Feature: Customer Registration
    As a Customer
    I want to be able to self-register
    so that I can be able to order food from Volt.

    Scenario: Customer register (with confirmation)
        Given that no user is logged in
        And my email is "test@gmail.com" and password is "my111good*password"
        And my name is "Romain", "BARRERE"
        And my phone number is "+33641941064"
        And my address is "Raatuse 22", "51009", "Tartu"
        And my birth date is "1999-03-12"
        And my bank card is "12345676543234565"
        And I open the welcome page
        And I click the register as customer button
        And I enter my information
        When I summit the register button
        Then I should receive a confirmation message

    Scenario: Customer register (rejection with invalid field)
        Given that no user is logged in
        And my email is "email@example.com" and password is "my111good*password"
        And my name is "Romain", "BARRERE"
        And my phone number is "zessfzef'"
        And my address is "Raatuse 22", "51009", "Tartu"
        And my birth date is "1999-03-12"
        And my bank card is "wrong card"
        And I open the welcome page
        And I click the register as customer button
        And I enter my information
        When I summit the register button
        Then I should receive a rejection message

    Scenario: Customer register (rejection with already taken information)
        Given that no user is logged in
        And the following customer already exist
        | email  | password  | first_name | last_name | phone_number | address | zip_code | city | birth_date | card_number |
        | roro@gmail.com | RTYUYTRTYTRT | aaa | az | +33641941064 | Zez | 50000 | ze | 1111-11-11 | 12343234543245434543 |
        And my email is "roro@gmail.com" and password is "my111good*password"
        And my name is "Romain", "BARRERE"
        And my phone number is "+33641941064"
        And my address is "Raatuse 22", "51009", "Tartu"
        And my birth date is "1999-03-12"
        And my bank card is "1234567876543456756"
        And I open the welcome page
        And I click the register as customer button
        And I enter my information
        When I summit the register button
        Then I should receive a rejection message

    Scenario: Customer register when `use current location` checkbox is checked, then address, city and postal code are filled
        Given that no user is logged in
        And I open the welcome page
        And I click the register as customer button
        When I click on `use current location` checkbox
        Then Address, city and postal code fields are filled
