Feature: Restaurant Manage Item
    As a restaurant worker
    I want to manage my items ie. create/update/delete from menu
    so that potential customers can see the items we have for offer.


  Scenario: Restaurant Add Item (with confirmation)
    Given that I want to add this item: "Pizza", "Cheese", "10.99"
    And I open restaurant registration page
    And I enter the restaurant information
    When I submit the form
    Then I open the page to add an item
    And I fill the form
    When I submit the form
    Then I should have a confirmation that item has been created
  
  Scenario: Restaurant Add Item (with rejection)
    Given that I want to add this item: "Pizza", "Cheese", "10.99zdy_èezd"
    And I open restaurant registration page
    And I enter the restaurant information
    When I submit the form
    Then I open the page to add an item
    And I fill the form
    When I submit the form
    Then I should have a error message while completing the form

    Scenario: Restaurant Edit Item (with confirmation)
      Given that I want to add this item: "Pizza", "Cheese", "10.99"
      And I open restaurant registration page
      And I enter the restaurant information
      When I submit the form
      Then I open the page to add an item
      And I fill the form
      When I submit the form
      Then I open menu page
      And I click edit the item
      And I fill the form
      When I submit the form
      Then I should have a confirmation for editing item

    Scenario: Restaurant Edit Item (with rejection)
      Given that I want to add this item: "Pizza", "Cheese", "10.99"
      And I open restaurant registration page
      And I enter the restaurant information
      When I submit the form
      Then I open the page to add an item
      And I fill the form
      When I submit the form
      Then I open menu page
      And I click edit the item
      And I fill the form with error
      When I submit the form
      Then I should have a error message while completing the form
    
    Scenario: Restaurant Delete Item
      Given that I want to add this item: "Pizza", "Cheese", "10.99"
      And I open restaurant registration page
      And I enter the restaurant information
      When I submit the form
      Then I open the page to add an item
      And I fill the form
      When I submit the form
      Then I open menu page
      When I click delete the item
      Then I should have a confirmation for deleting
    
    Scenario: Restaurant set item discount
      Given that I want to add this item with discount: "Pizza", "Cheese", "10.99", "20"
      And I open restaurant registration page
      And I enter the restaurant information
      When I submit the form
      Then I open the page to add an item
      And I fill the form
      When I submit the form
      Then I open menu page
      And I click edit the item
      And I fill the form
      When I submit the form
      Then I should have a confirmation for editing item
