defmodule Volt.Sales.Basket do
  use Ecto.Schema
  import Ecto.Changeset
  alias Volt.Sales


  schema "basket" do
    field :quantity, :integer
    belongs_to :items, Sales.Item, foreign_key: :item_id
    belongs_to :orders, Sales.Order, foreign_key: :order_id
    timestamps()
  end

  @doc false
  def changeset(basket, attrs) do
    basket
    |> cast(attrs, [:quantity])
    |> validate_required([:quantity])
  end
end
