defmodule VoltWeb.CourierRegistrationController do
  use VoltWeb, :controller

  alias Volt.Accounts
  alias Volt.Accounts.Courier
  alias VoltWeb.CourierAuth

  def new(conn, _params) do
    changeset = Accounts.change_courier_registration(%Courier{})
    render(conn, "new.html", changeset: changeset)
  end

  def create(conn, %{"courier" => courier_params}) do
    case Accounts.register_courier(courier_params) do
      {:ok, courier} ->
        {:ok, _} =
          Accounts.deliver_courier_confirmation_instructions(
            courier,
            &Routes.courier_confirmation_url(conn, :edit, &1)
          )

        conn
        |> put_flash(:info, "Courier created successfully.")
        |> CourierAuth.log_in_courier(courier)

      {:error, %Ecto.Changeset{} = changeset} ->
        render(conn, "new.html", changeset: changeset)
    end
  end
end
