defmodule VoltWeb.CourierSessionController do
  use VoltWeb, :controller

  alias Volt.Accounts
  alias VoltWeb.CourierAuth

  def new(conn, _params) do
    render(conn, "new.html", error_message: nil)
  end

  def create(conn, %{"courier" => courier_params}) do
    %{"email" => email, "password" => password} = courier_params

    if courier = Accounts.get_courier_by_email_and_password(email, password) do
      CourierAuth.log_in_courier(conn, courier, courier_params)
    else
      # In order to prevent user enumeration attacks, don't disclose whether the email is registered.
      render(conn, "new.html", error_message: "Invalid email or password")
    end
  end

  def delete(conn, _params) do
    conn
    |> put_flash(:info, "Logged out successfully.")
    |> CourierAuth.log_out_courier()
  end
end
