defmodule VoltWeb.CustomerBalanceController do
  use VoltWeb, :controller

  alias Volt.Accounts.Customer
  alias Volt.Accounts

  require Logger


  def index(conn, _params) do
    customer = conn.assigns.current_customer
    changeset = Customer.profile_changeset(customer, %{})
    render(conn, "index.html", profile_changeset: changeset)
  end

  def submit(conn, %{"customer" => amount}) do
    usr = conn.assigns.current_customer
    current_balance = usr.balance
    deposit = Float.parse(amount["balance"]) |> elem(0)
    updated_balance = current_balance + deposit
    case deposit do
       deposit when deposit <= 0 -> conn |> put_flash(:error, "Deposit too small! Just like something else of yours!") |> redirect(to: NavigationHistory.last_path(conn))
       deposit when deposit > 0 ->
        case Accounts.update_customer_balance(conn.assigns.current_customer, %{balance: updated_balance}) do
        {:ok, _} ->
          conn
          |> put_flash(:info, "Your balance has been updated!")
          |> redirect(to: Routes.customer_dashboard_path(conn, :index))
        {:error, changeset} ->
          render(conn, "index.html", changeset: changeset)
      end
    end
  end
end
