defmodule VoltWeb.CustomerHistoryController do
  use VoltWeb, :controller
  import Ecto.Query, only: [from: 2]
  import Ecto.Changeset
  alias Volt.Sales.Basket
  alias Volt.{Repo, Accounts}
  alias VoltWeb.RestaurantAuth
  alias Volt.Sales.Order
  alias Volt.Sales
  alias Volt.Accounts.Customer
  alias Volt.Accounts
  alias Volt.Sales.{Order}

  require Logger


  def index(conn, _params) do
    usr = conn.assigns.current_customer
    orders =
      from(order in Order, where: order.customer_id == ^usr.id and (order.order_status == "DELIVERED" or order.order_status == "CANCELLED"))
      |> Repo.all()
      |> Repo.preload([:restaurant, :customer, :courier])

    render(conn, "index.html", orders: orders)
  end
end
