defmodule VoltWeb.RestaurantRegistrationController do
  use VoltWeb, :controller

  alias Volt.Accounts
  alias Volt.Accounts.Restaurant
  alias VoltWeb.RestaurantAuth

  def new(conn, _params) do
    changeset = Accounts.change_restaurant_registration(%Restaurant{})
    render(conn, "new.html", changeset: changeset)
  end

  def create(conn, %{"restaurant" => restaurant_params}) do
    case Accounts.register_restaurant(restaurant_params) do
      {:ok, restaurant} ->
        {:ok, _} =
          Accounts.deliver_restaurant_confirmation_instructions(
            restaurant,
            &Routes.restaurant_confirmation_url(conn, :edit, &1)
          )

        conn
        |> put_flash(:info, "Restaurant created successfully.")
        |> RestaurantAuth.log_in_restaurant(restaurant)

      {:error, %Ecto.Changeset{} = changeset} ->
        render(conn, "new.html", changeset: changeset)
    end
  end
end
