defmodule VoltWeb.RestaurantSessionController do
  use VoltWeb, :controller

  alias Volt.Accounts
  alias VoltWeb.RestaurantAuth

  def new(conn, _params) do
    render(conn, "new.html", error_message: nil)
  end

  def create(conn, %{"restaurant" => restaurant_params}) do
    %{"email" => email, "password" => password} = restaurant_params

    if restaurant = Accounts.get_restaurant_by_email_and_password(email, password) do
      RestaurantAuth.log_in_restaurant(conn, restaurant, restaurant_params)
    else
      # In order to prevent user enumeration attacks, don't disclose whether the email is registered.
      render(conn, "new.html", error_message: "Invalid email or password")
    end
  end

  def delete(conn, _params) do
    conn
    |> put_flash(:info, "Logged out successfully.")
    |> RestaurantAuth.log_out_restaurant()
  end
end
