defmodule Volt.Repo.Migrations.CreateCustomers do
  use Ecto.Migration

  def change do
    create table(:customers) do
      add :email, :string
      add :password, :string
      add :first_name, :string
      add :last_name, :string
      add :phone_number, :string
      add :birth_date, :date
      add :address, :string
      add :zip_code, :string
      add :city, :string
      add :card_number, :string
      add :balance, :float

      timestamps()
    end

    create(
      unique_index(
        :customers,
        :email,
        name: :customer_unique_email_constraint
      )
    )

    create(
      unique_index(
        :customers,
        :phone_number,
        name: :customer_unique_phone_number_constraint
      )
    )
  end
end
