defmodule Volt.Repo.Migrations.CreateCouriersAuthTables do
  use Ecto.Migration

  def change do
    execute "CREATE EXTENSION IF NOT EXISTS citext", ""

    alter table(:couriers) do
      modify :email, :citext, null: false
      add :hashed_password, :string, null: false
      add :confirmed_at, :naive_datetime
      remove :password
    end

    create unique_index(:couriers, [:email])

    create table(:couriers_tokens) do
      add :courier_id, references(:couriers, on_delete: :delete_all), null: false
      add :token, :binary, null: false
      add :context, :string, null: false
      add :sent_to, :string
      timestamps(updated_at: false)
    end

    create index(:couriers_tokens, [:courier_id])
    create unique_index(:couriers_tokens, [:context, :token])
  end
end
