defmodule Volt.Repo.Migrations.CreateRestaurantsAuthTables do
  use Ecto.Migration

  def change do
    execute "CREATE EXTENSION IF NOT EXISTS citext", ""

    alter table(:restaurants) do
      modify :email, :citext, null: false
      add :hashed_password, :string, null: false
      add :confirmed_at, :naive_datetime
      remove :password
    end

    create unique_index(:restaurants, [:email])

    create table(:restaurants_tokens) do
      add :restaurant_id, references(:restaurants, on_delete: :delete_all), null: false
      add :token, :binary, null: false
      add :context, :string, null: false
      add :sent_to, :string
      timestamps(updated_at: false)
    end

    create index(:restaurants_tokens, [:restaurant_id])
    create unique_index(:restaurants_tokens, [:context, :token])
  end
end
