defmodule Volt.Repo.Migrations.CreateOrders do
  use Ecto.Migration

  def change do
    create table(:orders) do
      add :order_status, :string
      add :preparation_duration, :integer
      add :preparation_time, :naive_datetime
      add :delivery_duration, :integer
      add :delivery_time, :naive_datetime
      add :delivery_price, :float
      add :restaurant_message, :string
      add :order_price, :float
      add :total_price, :float
      add :customer_id, references(:customers)
      add :restaurant_id, references(:restaurants)
      add :courier_id, references(:couriers)
      timestamps()
    end
  end
end
